* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html, body {
    height: 100%;
    margin: 0;
}
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh; 
}
main {
    flex: 1;
}
img {
    max-width: 100%;
}
.site-header {
    padding: 15px 20px;
    box-shadow: 0 1px 5px rgba(0,0,0,0.5);
    margin-bottom: 25px;
}
.site-main {
    background-color: #f0f0f0;
    padding: 50px 20px 30px;
}
.wallet-wrapper {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}
.wallet-box {
    position: relative;
    background-color: #fff;
    padding: 10px;
    box-shadow: 0 1px 5px rgb(0 0 0 / 50%);
    text-align: center;
    flex: 0 0 calc(33.33% - 10px);
    margin-bottom: 25px;
}

.wallet-box .info {
    margin-top: 10px;
}

.wallet-box .info h3 {
    font-size: 14px;
    color: #222;
}

.wallet-box .info p {
    font-size: 13px;
    color: #977600;
    text-shadow: 0 1px 2px rgb(0 0 0 / 5%);
}

.wallet-box .info a {
    display: inline-block;
    padding: 5px 10px;
    text-decoration: none;
    font-size: 13px;
    border: 1px solid #ddd;
    margin-top: 10px;
    border-radius: 25px;
    color: #333;
}
@media (max-width: 700px) {
    .wallet-box {
        flex: 0 0 calc(50% - 10px);
    }
}
.site-footer p {
    text-align: center;
    padding: 15px 5px;
    color: #333;
    font-size: 14px;
    letter-spacing: 2px;
}